"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StringUtils = /** @class */ (function () {
    function StringUtils() {
    }
    /**
     * the position of the nth occurrence of searchString
     * @param {string} source
     * @param {string} searchString
     * @param {number} nth = 1
     * @return {number} start position of the nth occurrence of <em>searchString</em>
     */
    StringUtils.indexOf = function (source, searchString, nth) {
        if (nth === void 0) { nth = 1; }
        var times = 0;
        var index = -2;
        while (times < nth && index !== -1) {
            index = source.indexOf(searchString, index + 1);
            times++;
        }
        return index;
    };
    StringUtils.indexOfNthNotEmptyChar = function (source, nth) {
        var i = 0;
        for (var n = -1; n <= nth && i < source.length; i++) {
            if (!/\s+/m.test(source[i])) {
                n++;
                if (n === nth) {
                    return i;
                }
            }
        }
        return -1;
    };
    /**
     * the occurrences(include the positions) of searchString
     * @param {string} source
     * @param {string} searchString
     * @returns {Array<IOccurrence>}
     */
    StringUtils.find = function (source, searchString) {
        var times = 0;
        var position = -2;
        var result = [];
        if (searchString.length < 1) {
            return result;
        }
        while (position !== -1) {
            position = source.indexOf(searchString, position + 1);
            if (position < 0) {
                break;
            }
            result.push({ nth: ++times, position: position });
        }
        return result;
    };
    /**
     * @return {string} compacted string
     */
    StringUtils.compact = function (source) {
        return source.replace(/\s+/gm, '');
    };
    /**
     * @return {string} trimmed string
     */
    StringUtils.trim = function (source) {
        return source.replace(/(^\s*)|(\s*$)/g, '');
    };
    return StringUtils;
}());
exports.StringUtils = StringUtils;
//# sourceMappingURL=StringUtils.js.map