"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var XSelection_1 = require("./XSelection");
exports.XSelection = XSelection_1.XSelection;
var XDocument_1 = require("./XDocument");
exports.XDocument = XDocument_1.XDocument;
var IOccurrence;
(function (IOccurrence) {
    IOccurrence.None = {
        nth: -1,
        position: -1,
    };
})(IOccurrence = exports.IOccurrence || (exports.IOccurrence = {}));
var ITextRange;
(function (ITextRange) {
    ITextRange.None = {
        from: { text: '', nth: -1 },
        to: { text: '', nth: -1 },
    };
    function toSimpleString(range) {
        return JSON.stringify([range.from.nth + ":" + range.from.text, range.to.nth + ":" + range.to.text]);
    }
    ITextRange.toSimpleString = toSimpleString;
    function fromSimpleString(str) {
        var simple = JSON.parse(str);
        var from = simple[0].split(':', 2);
        var to = simple[1].split(':');
        return {
            from: { text: from[1], nth: parseInt(from[0], 10) },
            to: { text: to[1], nth: parseInt(to[0], 10) }
        };
    }
    ITextRange.fromSimpleString = fromSimpleString;
})(ITextRange = exports.ITextRange || (exports.ITextRange = {}));
//# sourceMappingURL=texton.js.map